%define major 1
%define lib_name %mklibname %{name} %{major}

Summary: A tool for creating Scheme interfaces to C libraries.
Name: g-wrap
Version: 1.3.4
Release: 9mdk
Source0: ftp://ftp.gnucash.org/pub/g-wrap/%{name}-%{version}.tar.bz2
Requires: guile >= 1.6
Group: System/Libraries
BuildRequires: guile-devel >= 1.6
License: GPL
Epoch: 1
URL: http://www.gnucash.org
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: %{lib_name} >= %{version}-%{release}

%description
g-wrap is a tool for creating Scheme interfaces to C libraries.  At
the moment it is most heavily focused on providing access to C
libraries from guile, but it also supports RScheme.

%package -n %{lib_name}
Epoch: 1
Group:	%{group}
Summary: %{summary}

%description -n %{lib_name}
g-wrap is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%package -n %{lib_name}-devel
Epoch: 1
Group:	Development/C
Summary: Include files and libraries needed for g-wrap development.
Requires: %{name} = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
g-wrap is a tool for creating Scheme interfaces to C libraries.  At
the moment it is most heavily focused on providing access to C
libraries from guile, but it also supports RScheme.

You can provide access to a given C API by creating a specification
file describing the interface you want published at the Scheme level.
g-wrap will handle generating all the lower level library interface
code so that the C library shows up as a set of Scheme functions.

You should install this package if you need to compile programs that
need to use g-wrap C<->Scheme functionality

%prep
%setup -q

%build
%configure2_5x

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%post -n %{lib_name}-devel
%_install_info %{name}.info

%postun -p /sbin/ldconfig -n %{lib_name}

%postun -n %{lib_name}-devel
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README THANKS
%{_datadir}/aclocal/*.m4
%{_datadir}/guile/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.la

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_datadir}/aclocal/*
%{_infodir}/%{name}*

%changelog
* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:1.3.4-9mdk
- Rebuild

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:1.3.4-8mdk
- Enforce dependencies

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:1.3.4-7mdk
- Switching to guile 1.6 (gnucash 1.8.4 now supports it)
- Remove patch0 (no longer needed)

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:1.3.4-6mdk
- Update patch0 to remove remaining call to non-versioned guile binary
- mklibnamification

* Mon Apr 21 2003 Pixel <pixel@mandrakesoft.com> 1.3.4-5mdk
- add "BuildRequires: autoconf2.5"

* Mon Feb 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.3.4-4mdk
- Update patch0 for guile 1.4.1

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.3.4-3mdk
- .la must be in lib package for dynamic lib loading by libltdl

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.3.4-2mdk
- Fix main dependency on guile 1.4

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.3.4-1mdk
- Release 1.3.4
- Patch0: check for guile1.4 

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.2.1-1mdk
- release 1.2.1

* Sun Jun 16 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.12-3mdk
- Drill out -I/usr/include to make -Werror from barfing.

* Thu Jan 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.11-2mdk
- Argg, add missing epoch

* Thu Jan 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.11-1mdk
- Back to 1.1 branch, gnucash is not yet compatible with newer releases

* Wed Jan 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.2-1mdk
- Release 1.3.2
- Remove patch0

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1
- Use more macros
- Libification

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.10-3mdk
- pass --build/--host/--target to ./configure
- s/Copyright/License/

* Wed Jun 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.1.10-2mdk
- removed post in devel (ranlib)
- added info file installation

* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.1.10-1mdk
- new version for gnucash 1.5.97

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-3mdk
- changed prefix in configure, removed sed...

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-2mdk
- sed on g-wrap

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-1mdk
- new version (necessary with guile-devel 1.4)
- macroszification
- packager tag
- split into lib and devel packages

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.4-2mdk
- automatically added BuildRequires

* Sat Jul 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.9.4-1mdk
- Packaged for Mandrake need for gnucash update.

* Sat May 27 2000 Mark Horning <rip6@rip6.net>
- Created spec file
